SequenceContentHandlerBase (BioJava-1.5-beta API)
Keywords: org.biojava.bio.seq.io.game.SequenceContentHandlerBase class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.seq.io.game
Class SequenceContentHandlerBase

    java.lang.Object
      org.biojava.utils.stax.StAXContentHandlerBase
          org.biojava.bio.seq.io.game.SequenceContentHandlerBase

All Implemented Interfaces:
  StAXContentHandler

Direct Known Subclasses:
  GAMEResiduesPropHandler

    public class SequenceContentHandlerBase

extends StAXContentHandlerBase

StAX handler for elements containing sequence

Since:
  1.8
Author:
  David Huen

Constructor Summary
`SequenceContentHandlerBase()`

Method Summary
`void` | `characters(char[] ch, int start, int length)` Signal a span of character data in the XML input.
`void` | `endElement(String nsURI, String localName, String qName, StAXContentHandler handler)`
`void` | `setStreamParser(StreamParser parser)` assign a StreamParser object to instance.
`void` | `startElement(String nsURI, String localName, String qName, Attributes attrs, DelegationManager dm)`

Methods inherited from class org.biojava.utils.stax.StAXContentHandlerBase
`endPrefixMapping, endTree, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startPrefixMapping, startTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceContentHandlerBase

    public SequenceContentHandlerBase()

Method Detail

### startElement

    public void startElement(String nsURI,
                             String localName,
                             String qName,
                             Attributes attrs,
                             DelegationManager dm)
                      throws SAXException

  Specified by:
    `startElement` in interface `StAXContentHandler`
  Overrides:
    `startElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### endElement

    public void endElement(String nsURI,
                           String localName,
                           String qName,
                           StAXContentHandler handler)
                    throws SAXException

  Specified by:
    `endElement` in interface `StAXContentHandler`
  Overrides:
    `endElement` in class `StAXContentHandlerBase`
  Throws:
    `SAXException`

### setStreamParser

    public void setStreamParser(StreamParser parser)

  assign a StreamParser object to instance.

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Description copied from class: `StAXContentHandlerBase`
  Signal a span of character data in the XML input.

  Specified by:
    `characters` in interface `StAXContentHandler`
  Overrides:
    `characters` in class `StAXContentHandlerBase`
  Parameters:
    `ch` - an array of characters
    `start` - index of the first significant character for this event.
    `length` - number of characters significant to this event.
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD